Skip to main content
PATCH
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
directory-provisioning
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Connections.DirectoryProvisioning.UpdateAsync(
            id: "id",
            request: new UpdateDirectoryProvisioningRequestContent()
        );
    }

}
{
  "connection_id": "<string>",
  "connection_name": "<string>",
  "strategy": "<string>",
  "mapping": [
    {
      "auth0": "<string>",
      "idp": "<string>"
    }
  ],
  "synchronize_automatically": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "last_synchronization_at": "2023-11-07T05:31:56Z",
  "last_synchronization_status": "<string>",
  "last_synchronization_error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the connection to create its directory provisioning configuration

Body

mapping
object[]

The mapping between Auth0 and IDP user attributes

Minimum array length: 1
synchronize_automatically
boolean

Whether periodic automatic synchronization is enabled

synchronize_groups
enum<string>
GA

Group synchronization configuration

Available options:
all,
off,
selected

Response

The connection's directory provisioning configuration was updated. See Response Schemas for schema.

connection_id
string
required

The connection's identifier

connection_name
string
required

The connection's name

strategy
string
required

The connection's strategy

mapping
object[]
required

The mapping between Auth0 and IDP user attributes

Minimum array length: 1
synchronize_automatically
boolean
required

Whether periodic automatic synchronization is enabled

created_at
string<date-time>
required

The timestamp at which the directory provisioning configuration was created

updated_at
string<date-time>
required

The timestamp at which the directory provisioning configuration was last updated

synchronize_groups
enum<string>
GA

Group synchronization configuration

Available options:
all,
off,
selected
last_synchronization_at
string<date-time>

The timestamp at which the connection was last synchronized

last_synchronization_status
string

The status of the last synchronization

last_synchronization_error
string

The error message of the last synchronization, if any